# Retrieve order reseller information

Use this method to update the reseller information defined for a specific order.

## Request parameters

| Parameter   | Type / Description                                                                                                                                                                  |
| ----------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `sessionID` | <p><strong>Required (string)</strong><br>Session identifier, which is the output of the <strong>Login</strong> method. An exception will be thrown if the values are incorrect.</p> |
| `refNo`     | <p><strong>Required (string)</strong><br>The unique, system-generated identifier of a partner order.</p>                                                                            |

### Request sample

```php
<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$refNo = 'YOUR_ORDER_REFERENCE';

try {
    $reseller= $client->getOrderReseller ($sessionID, $refNo);
} catch (SoapFault $e) {
    Echo "Reseller: " . $e->getMessage();
    exit;
}
var_dump ("Reseller ", $reseller);
```

## Errors

| Error                                | Description                                   |
| ------------------------------------ | --------------------------------------------- |
| **NOT\_FOUND\_PARTNER**              | Set a partner before invoking the method.     |
| **EMPTY\_ORDER\_REFERENCE**          | Order reference not provided.                 |
| **INVALID\_REFERENCE**               | Invalid order reference.                      |
| **INVALID\_SUBSCRIPTION\_REFERENCE** | No reseller defined for this order reference. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/reseller/retrieve-order-reseller-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
